MCP transport (path auth)

Streamable HTTP MCP transport. Auth via the API key in the URL path. Useful when header auth isn't possible. Note that the key will appear in logs and referrer headers.

Streamable HTTP MCP transport. Auth via the API key in the URL path. Useful when header auth isn't possible. Note that the key will appear in logs and referrer headers.

Authorization

bearerAuth
AuthorizationBearer <token>

API key from your dashboard. Prefix with Bearer in the Authorization header.

In: header

Path Parameters

apiKey*string

Your Stophy API key in the format st_

Match^st_[a-zA-Z0-9_-]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

POST
/v1/mcp/{apiKey}
curl -X POST "https://example.com/v1/mcp/string" \  -H "Content-Type: application/json" \  -d '{    "jsonrpc": "2.0",    "id": 1,    "method": "initialize",    "params": {      "protocolVersion": "2025-06-18",      "capabilities": {},      "clientInfo": {        "name": "example-client",        "version": "1.0.0"      }    }  }'
{}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}